<?php
/**
* FILE_NAME : news.php
*
* @copyright Copyright (c) www.shuangyulin.com
* @author 双鱼林设计
* @package 新闻列表页
* @subpackage
* @version QQ:287307421或254540457
*/

require_once './include/common.inc.php';

/*--  对一些系统变量赋值  --*/
$template->assign("css_root",$css_root);
$template->assign("siteurl",$_CFG['siteurl']);
$template->assign("sitename",$_CFG['sitename']);

/*--  初始化 url 传值  --*/
$id = isset($_REQUEST['id']) ? intval($_REQUEST['id']) : 1;

/*--  查询子分类列表  --*/
$sql = $allsin = '';
$page = $cates = array();

$sql = "SELECT catid,name,covertemplate,template,url FROM {$dbprefix}articlecategories WHERE parentid = $id ORDER BY displayorder";
$query = $DB->query($sql);
if (!$query) {
	showmessage("您查看的页面不存在，2秒后返回主页","inde.php");
}
while ($row = $DB->fetch_array($query)) {
	/*--  这里构造一个字符串，放置分类 id ，形如 1,2,3  --*/
	$catid .= $row['catid'].',';
	$row['sysurl'] = "news.php?id=".$row['catid'];
	$cates[] = $row;
}

/*--  去掉最后一个 ',' ，方便后面的SQL使用  --*/
$catid = substr($catid,0,strrpos($catid,','));

/*--  查询自己，方便输出上级名称  --*/
$sql = "SELECT catid,name,covertemplate,template,url FROM {$dbprefix}articlecategories WHERE catid = $id";
$page = $DB->fetch_one_array($sql);

/*--  处理分页数据  --*/
$sql = "SELECT * FROM {$dbprefix}articles WHERE catid = '".$page['catid']."'";
$query = $DB->query($sql);

$allnum = $DB->num_rows($query);
$perpage = $_CFG['article_num'] ? intval($_CFG['article_num']) : 15;
$curpage = (int)$_GET['page'];
$php_self = "news.php?id=".$id;

/*--  创建分页  --*/
$pages = multi($allnum, $perpage, $curpage, $php_self, 5);

/*--  根据分类 id 查询该分类下的所有文章  --*/
if (($curpage-1) >= 0) {
	$step = $curpage-1;
} else {
	$step = 0;
}
$startpage = $perpage * $step;

$sql = "SELECT * FROM {$dbprefix}articles WHERE catid = '".$page['catid']."' ORDER BY dateline DESC LIMIT $startpage , $perpage";
$query = $DB->query($sql);
while ($row = $DB->fetch_array($query)) {
	$row['sysurl'] = "newsc.php?id=".$row['aid'];
	$row['dateline'] = formatdate($_CFG['format_type'],$row['dateline']);
	$row['title'] = cutstr($row['title'],60);
	$news[] = $row;
}

/*--  当该分类的自定义模板为空，使用自定义模板  --*/
$pagetpl = '';
if (!$page['template'] && !$page['covertemplate']) {	
	$pagetpl = "news.html";	
} elseif ($page['covertemplate']) {
	$pagetpl = $page['covertemplate'];
} elseif ($page['template']) {
	$pagetpl = $page['template'];
}

require_once 'header.php';

/*--  对模板进行赋值  --*/
$template->assign("pagename",$page['name']);
$template->assign("pages",$pages);

/*--  对左边栏的子分类赋值  --*/
$template->assign("cates",$cates);
/*--  对文章基本信息赋值  --*/
$template->assign("news",$news);

$template->display($pagetpl);

require_once 'footer.php';
?>